package no.valg.valgnatt.database.forberedvalg.bean;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BeanHistorikkMandater extends Bean {

    private int antall;
    private int antall_utj;

    @Override
    public String getKey() {
        return makeKey(getValgaar(), getValgtype(), getValgdistriktnr(), getPartikode());
    }

    public static String makeKey(int valgaar, String valgtype, String valgdistriktnr, String partikode) {
        return valgaar + valgtype + valgdistriktnr + partikode;
    }
    
}
